/*
    EaseInBounce(time, start, change, duration)
    Original function by Robert Penner -- Adpated to GML by Stephen Loney
*/

var time, start, change, duration;

time = argument0;
start = argument1;
change = argument2;
duration = argument3;

var varTime;
varTime = time / duration;

if (varTime < 0.5)
{
    time = duration - time;
    return EaseOutBounce(time, start+change, -change, duration);
}
else
{
    time /= duration;

    if (time < (1 / 2.75))
    {
        return change * (7.5625 * time * time) + start;
    }
    else
    if (time < (2 / 2.75))
    {
        time -= (1.5 / 2.75);
        return change * (7.5625 * (time) * time + 0.75) + start;
    }
    else
    if (time < (2.5 / 2.75))
    {
        time -= (2.25 / 2.75);
        return change * (7.5625 * (time) * time + 0.9375) + start;
    }
    else
    {
        time -= ( 2.625 / 2.75 );
        return change * (7.5625 * (time) * time + 0.984375) + start;
    }
}

